package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.Map;

/**
 * 文件名: BannerAdminVo
 * 作者: Zizg
 * 时间: 2022/11/25
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class BannerAdminVo implements Serializable {
    //主键
    private String pkId;

    //Banner名称
    private String name;

    //Banner图片附件ID
    private String bannerFile;

    //Banner类型;1-展示 2-维基知识
    private Integer type;

    //知识ID
    private String knowledgeId;

    //是否可用;1-可用 0-不可用
    private Integer enabled;

    //操作人
    private String updateBy;

    //排序
    private Integer sort;

    //其他参数
    private Map<String,Object> params;


    //操作时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date updateTime;
}
