package com.redxun.knowledge.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.redxun.knowledge.entity.dao.KnowledgeCategory;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 文件名: KnowledgeCategoryAdminVo
 * 作者: Zizg
 * 时间: 2022/11/29
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Data
public class KnowledgeCategoryAdminVo implements Serializable {
    //主键
    private String pkId;
    //上级分类
    private String parent;
    //分类名称
    private String name;
    //排序
    private Integer sort;
    //是否是系统预制节点;0-不是 1-是
    private Integer isSys;
    //孩子节点数据
    private List<KnowledgeCategoryAdminVo> children;
    //父亲节点数据
    public KnowledgeCategoryAdminVo parents;
}
