package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.Knowledge;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 业务--知识表数据库访问层
 */
@Mapper
public interface KnowledgeMapper extends BaseDao<Knowledge> {

    void create(@Param("param") Knowledge knowledge);

    IPage findAllKnowledge(IPage page, @Param("params") Map<String, Object> params,@Param("w") Map<String, Object> order);

    void deleteKnowledge(String knowledgeId);

    IPage findAllAuditKnowledge(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);

    IPage getAllKnowledgeByCategoryId(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);
}
