package com.redxun.knowledge.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

// 知识审核节点VO
@Data
public class KnowledgeApprovalVo {
    // 主键
    private String pkId;

    // 审核节点名称
    private String name;

    // 节点审核人ID
    private String approverId;

    // 节点审核人姓名
    private String approverName;

    // 实际审核人ID
    private String actualApprover;

    // 实际审核人姓名
    private String actualApproverName;

    // 节点审核时间
    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    private Date approvalTime;

    // 审核状态 ：提交审核 审核通过 审核驳回
    private String approvalStatus;

    // 排序
    private Integer sort;
}
