package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.Banner;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--首页banner表数据库访问层
*/
@Mapper
public interface BannerMapper extends BaseDao<Banner> {

    IPage findAllBanner(IPage<Banner> page, @Param("params") Map<String, Object> params,@Param("w") Map<String, Object> order);

    void deleteBanner(String pkId);

    /**
     * 上升/下降时候交换sort
     * @param bannerId
     * @param sort
     */
    void swapSort(@Param("bannerId") String bannerId,@Param("sort") Integer sort);

    /**
     * 新增/修改时候变更sort
     * @param sort
     */
    void insertOrUpdateBySort(Integer sort);

    void deleteBySort(Integer sort);
}
