package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.KnowledgeApprove;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
* 业务--知识审批表数据库访问层
*/
@Mapper
public interface KnowledgeApproveMapper extends BaseDao<KnowledgeApprove> {

    // 根据知识id删除对应的审批记录
    void deleteByKnowledgeId(String knowledgeId);

    IPage findAllKnowledgeApprove(IPage page, @Param("params") Map<String, Object> params, @Param("w") Map<String, Object> order);
}
