package com.redxun.knowledge.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.knowledge.entity.dao.KnowledgeLabel;
import com.redxun.knowledge.entity.vo.KnowledgeLabelVo;
import org.apache.ibatis.annotations.Mapper;
import com.redxun.common.base.db.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 业务--知识标签表数据库访问层
 */
@Mapper
public interface KnowledgeLabelMapper extends BaseDao<KnowledgeLabel> {

    void adjustSort(Integer adjustSort);

    IPage<KnowledgeLabelVo> findAllTags(IPage page, Map<String, Object> params);

    void updateSort(String labelId, Integer sort);

    void delLabel(String labelId);

    List<KnowledgeLabelVo> selectTops(Integer tops);
}
