
package com.redxun.knowledge.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.tool.BeanUtil;
import com.redxun.common.tool.IdGenerator;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.entity.dao.KnowledgeApprovalNode;
import com.redxun.knowledge.entity.vo.KnowledgeApprovalVo;
import com.redxun.knowledge.mapper.KnowledgeApprovalNodeMapper;
import com.redxun.knowledge.entity.dao.KnowledgeApprovalNode;
import com.redxun.knowledge.mapper.KnowledgeApprovalNodeMapper;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import javax.annotation.Resource;

/**
 * [业务--知识审批节点表]业务服务类
 */
@Service
public class KnowledgeApprovalNodeServiceImpl extends SuperServiceImpl<KnowledgeApprovalNodeMapper, KnowledgeApprovalNode> implements BaseService<KnowledgeApprovalNode> {

    @Resource
    private KnowledgeApprovalNodeMapper knowledgeApprovalNodeMapper;

    @Override
    public BaseDao<KnowledgeApprovalNode> getRepository() {
        return knowledgeApprovalNodeMapper;
    }

    public List<KnowledgeApprovalVo> queryApprovalNodes() {
        return knowledgeApprovalNodeMapper.queryApprovalNodes();
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<KnowledgeApprovalNode> entityList, int batchSize) {
        return super.saveOrUpdateBatch(entityList, batchSize);
    }

    @Override
    public int insert(KnowledgeApprovalNode entity) {
        return 0;
    }
}
